com.aliyun.svideosdk.common.struct.common

## Class AliyunSnapVideoParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunSnapVideoParam.Builder

- Enclosing class:
    AliyunSnapVideoParam

      public static class AliyunSnapVideoParam.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunSnapVideoParam` | `build()`
    `AliyunSnapVideoParam.Builder` | `setBeautyLevel(int beautyLevel)` 设置美颜级别。
    `AliyunSnapVideoParam.Builder` | `setBeautyStatus(boolean beautyStatus)` 设置美颜开关。
    `AliyunSnapVideoParam.Builder` | `setCameraType(CameraType cameraType)` 获取摄像头类型。
    `AliyunSnapVideoParam.Builder` | `setCropMode(VideoDisplayMode scaleMode)` 设置视频裁剪缩放模式。
    `AliyunSnapVideoParam.Builder` | `setCropUseGPU(boolean isUseGPU)` 设置裁剪使用GPU
    `AliyunSnapVideoParam.Builder` | `setFilterList(java.lang.String[] filterList)` 设置滤镜资源路径列表。
    `AliyunSnapVideoParam.Builder` | `setFlashType(FlashType flashType)` 设置闪光灯类型。
    `AliyunSnapVideoParam.Builder` | `setFrameRate(int frameRate)` 设置帧率。
    `AliyunSnapVideoParam.Builder` | `setGop(int gop)` 设置Gop大小，单位是帧数。
    `AliyunSnapVideoParam.Builder` | `setMaxDuration(int maxDuration)` 设置录制的最大时长。
    `AliyunSnapVideoParam.Builder` | `setMaxVideoDuration(int duration)` 设置视频选择界面过滤视频的最大时长。
    `AliyunSnapVideoParam.Builder` | `setMinCropDuration(int duration)` 设置视频裁剪的最小时长，裁剪界面选取裁剪时间段无法比这个时长小。
    `AliyunSnapVideoParam.Builder` | `setMinDuration(int minDuration)` 设置录制的最小时长，小于这个时长视频会被丢弃。
    `AliyunSnapVideoParam.Builder` | `setMinVideoDuration(int duration)` 设置视频选择页面过滤视频的最小时长。
    `AliyunSnapVideoParam.Builder` | `setNeedClip(boolean needClip)` 是否多段录制。
    `AliyunSnapVideoParam.Builder` | `setNeedRecord(boolean needClip)` 视频选择界面是否需要"录制"的入口。
    `AliyunSnapVideoParam.Builder` | `setRatioMode(int ratioMode)` 设置分辨率宽高比，最终的分辨率由该值和`AliyunSnapVideoParam.setResolutionMode(int)`的值一起计算出
    `AliyunSnapVideoParam.Builder` | `setRecordMode(int recordMode)` 设置录制模式
    `AliyunSnapVideoParam.Builder` | `setResolutionMode(int resolutionMode)` 设置分辨率基数，支持四种分辨率基数，最终的分辨率是由该基数跟`AliyunSnapVideoParam.setRatioMode(int)`的值一起计算出来的
    `AliyunSnapVideoParam.Builder` | `setResulutionMode(int resolutionMode)` Deprecated. 使用 `setResolutionMode(int)`替代
    `AliyunSnapVideoParam.Builder` | `setSortMode(int sortMode)` 设置媒体文件选择界面的过滤模式 `AliyunSnapVideoParam.SORT_MODE_PHOTO`, `AliyunSnapVideoParam.SORT_MODE_PHOTO`, `AliyunSnapVideoParam.SORT_MODE_PHOTO`。
    `AliyunSnapVideoParam.Builder` | `setVideoBitrate(int bitrate)` 设置bitrate大小，单位是kps
    `AliyunSnapVideoParam.Builder` | `setVideoCodec(VideoCodecs codec)` 设置编码方式
    `AliyunSnapVideoParam.Builder` | `setVideoQuality(VideoQuality videoQuality)` 设置输出视频质量。
    `AliyunSnapVideoParam.Builder` | `setVideQuality(VideoQuality videoQuality)` Deprecated. 使用 `setVideoQuality(VideoQuality)`替代

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setResolutionMode

          public AliyunSnapVideoParam.Builder setResolutionMode(int resolutionMode)

      设置分辨率基数，支持四种分辨率基数，最终的分辨率是由该基数跟`AliyunSnapVideoParam.setRatioMode(int)`的值一起计算出来的
      Parameters:
        `resolutionMode` -
      See Also:
        `AliyunSnapVideoParam.RESOLUTION_360P`, `AliyunSnapVideoParam.RESOLUTION_480P`, `AliyunSnapVideoParam.RESOLUTION_540P`, `AliyunSnapVideoParam.RESOLUTION_720P`

    - #### setResulutionMode

          public AliyunSnapVideoParam.Builder setResulutionMode(int resolutionMode)

      Deprecated. 使用 `setResolutionMode(int)`替代
      Parameters:
        `resolutionMode` -

    - #### setRatioMode

          public AliyunSnapVideoParam.Builder setRatioMode(int ratioMode)

      设置分辨率宽高比，最终的分辨率由该值和`AliyunSnapVideoParam.setResolutionMode(int)`的值一起计算出
      Parameters:
        `ratioMode` -
      See Also:
        `AliyunSnapVideoParam.RATIO_MODE_1_1`, `AliyunSnapVideoParam.RATIO_MODE_3_4`, `AliyunSnapVideoParam.RATIO_MODE_9_16`

    - #### setNeedRecord

          public AliyunSnapVideoParam.Builder setNeedRecord(boolean needClip)

      视频选择界面是否需要"录制"的入口。
      Parameters:
        `needClip` -

    - #### setVideQuality

          public AliyunSnapVideoParam.Builder setVideQuality(VideoQuality videoQuality)

      Deprecated. 使用 `setVideoQuality(VideoQuality)`替代
      已过时
      Parameters:
        `videoQuality` -

    - #### setVideoQuality

          public AliyunSnapVideoParam.Builder setVideoQuality(VideoQuality videoQuality)

      设置输出视频质量。
      Parameters:
        `videoQuality` -
      See Also:
        `VideoQuality`

    - #### setGop

          public AliyunSnapVideoParam.Builder setGop(int gop)

      设置Gop大小，单位是帧数。
      Parameters:
        `gop` -

    - #### setVideoBitrate

          public AliyunSnapVideoParam.Builder setVideoBitrate(int bitrate)

      设置bitrate大小，单位是kps
      Parameters:
        `bitrate` -

    - #### setFrameRate

          public AliyunSnapVideoParam.Builder setFrameRate(int frameRate)

      设置帧率。
      Parameters:
        `frameRate` -

    - #### setCropMode

          public AliyunSnapVideoParam.Builder setCropMode(VideoDisplayMode scaleMode)

      设置视频裁剪缩放模式。
      Parameters:
        `scaleMode` -
      See Also:
        `VideoDisplayMode`

    - #### setMinVideoDuration

          public AliyunSnapVideoParam.Builder setMinVideoDuration(int duration)

      设置视频选择页面过滤视频的最小时长。
      Parameters:
        `duration` - 单位是毫秒

    - #### setMaxVideoDuration

          public AliyunSnapVideoParam.Builder setMaxVideoDuration(int duration)

      设置视频选择界面过滤视频的最大时长。
      Parameters:
        `duration` - 单位是毫秒

    - #### setRecordMode

          public AliyunSnapVideoParam.Builder setRecordMode(int recordMode)

      设置录制模式
      Parameters:
        `recordMode` -
      See Also:
        `AliyunSnapVideoParam.RECORD_MODE_PRESS`, `AliyunSnapVideoParam.RECORD_MODE_TOUCH`, `AliyunSnapVideoParam.RECORD_MODE_AUTO`

    - #### setMinCropDuration

          public AliyunSnapVideoParam.Builder setMinCropDuration(int duration)

      设置视频裁剪的最小时长，裁剪界面选取裁剪时间段无法比这个时长小。
      Parameters:
        `duration` - 单位是毫秒

    - #### setFilterList

          public AliyunSnapVideoParam.Builder setFilterList(java.lang.String[] filterList)

      设置滤镜资源路径列表。
      Parameters:
        `filterList` -

    - #### setBeautyLevel

          public AliyunSnapVideoParam.Builder setBeautyLevel(int beautyLevel)

      设置美颜级别。
      Parameters:
        `beautyLevel` - [0,100] 0表示关闭美颜

    - #### setBeautyStatus

          public AliyunSnapVideoParam.Builder setBeautyStatus(boolean beautyStatus)

      设置美颜开关。
      Parameters:
        `beautyStatus` - true：开，false：关

    - #### setCameraType

          public AliyunSnapVideoParam.Builder setCameraType(CameraType cameraType)

      获取摄像头类型。
      Parameters:
        `cameraType` -
      See Also:
        `CameraType`

    - #### setFlashType

          public AliyunSnapVideoParam.Builder setFlashType(FlashType flashType)

      设置闪光灯类型。
      Parameters:
        `flashType` -

    - #### setMaxDuration

          public AliyunSnapVideoParam.Builder setMaxDuration(int maxDuration)

      设置录制的最大时长。
      Parameters:
        `maxDuration` -

    - #### setMinDuration

          public AliyunSnapVideoParam.Builder setMinDuration(int minDuration)

      设置录制的最小时长，小于这个时长视频会被丢弃。
      Parameters:
        `minDuration` -

    - #### setNeedClip

          public AliyunSnapVideoParam.Builder setNeedClip(boolean needClip)

      是否多段录制。
      Parameters:
        `needClip` - true：多段录制，false：单段录制

    - #### setSortMode

          public AliyunSnapVideoParam.Builder setSortMode(int sortMode)

      设置媒体文件选择界面的过滤模式 `AliyunSnapVideoParam.SORT_MODE_PHOTO`, `AliyunSnapVideoParam.SORT_MODE_PHOTO`, `AliyunSnapVideoParam.SORT_MODE_PHOTO`。
      Parameters:
        `sortMode` - `AliyunSnapVideoParam.SORT_MODE_PHOTO`, `AliyunSnapVideoParam.SORT_MODE_PHOTO`, `AliyunSnapVideoParam.SORT_MODE_PHOTO`

    - #### setCropUseGPU

          public AliyunSnapVideoParam.Builder setCropUseGPU(boolean isUseGPU)

      设置裁剪使用GPU
      Parameters:
        `isUseGPU` - true：使用gpu， false：使用cpu

    - #### setVideoCodec

          public AliyunSnapVideoParam.Builder setVideoCodec(VideoCodecs codec)

      设置编码方式
      Parameters:
        `codec` - 默认是硬编
      See Also:
        `VideoCodecs`

    - #### build

          public AliyunSnapVideoParam build()